> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Orders

> Returns all Orders for the WMS connection associated with the provided access token.



## OpenAPI

````yaml get /wms/orders
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/orders:
    get:
      tags:
        - wms
        - Orders
      summary: Get All Orders
      description: >-
        Returns all Orders for the WMS connection associated with the provided
        access token.
      operationId: get_wms_get_orders
      parameters:
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
        - in: query
          name: page_token
          description: >-
            The page token to use to retrieve the next page of results. If this
            field is omitted, there are no subsequent pages.
          schema:
            type:
              - string
              - 'null'
            example: page_token
          required: false
        - in: query
          name: limit
          description: The maximum number of items to return. The default is 1000.
          schema:
            type: integer
            minimum: 1
            maximum: 1000
            example: 1000
          required: false
        - in: query
          name: ids
          schema:
            $ref: '#/components/schemas/WmsOrderIdsQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: created_date
          description: >-
            Use this parameter to retrieve items filtered to a specific date
            range. For example, to get all items between 2023-03-10 and
            2023-03-22, you would send
            `created_date[gte]=2023-03-10T00:00:00Z&created_date[lte]=2023-03-22T00:00:00Z.`
            See the [filtering docs](/how-to-guides/about-the-api#filtering) for
            more. The date format must always be YYYY-MM-DDTHH:MM:SSZ. 
             Note: it is much more efficient to use a combination of `gte`/`lte` than it is to use `gt`/`lt`.
          schema:
            $ref: '#/components/schemas/WmsOrderCreated_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: updated_date
          description: Same syntax as `created_date`.
          schema:
            $ref: '#/components/schemas/WmsOrderUpdated_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_created_date
          description: Same syntax as `created_date`.
          schema:
            $ref: '#/components/schemas/WmsOrderTrackstar_Created_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_updated_date
          description: Same syntax as `created_date`.
          schema:
            $ref: '#/components/schemas/WmsOrderTrackstar_Updated_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: trackstar_tags
          description: >-
            Filter by trackstar tags. Dict-shaped tags should be queried as
            "key:value" strings.
          schema:
            $ref: '#/components/schemas/WmsOrderTrackstar_Tags_FlatQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: status
          description: >-
            The status of the order. See the [order information](info) for more
            details.
          schema:
            $ref: '#/components/schemas/WmsOrderStatusQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: warehouse_customer_id
          description: The ID of the customer associated with the resource
          schema:
            $ref: '#/components/schemas/WmsOrderWarehouse_Customer_IdQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: type
          description: 'The type of order: d2c, b2b, dropship, or transfer.'
          schema:
            $ref: '#/components/schemas/WmsOrderTypeQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: order_number
          description: A user-friendly identifier for the order.
          schema:
            $ref: '#/components/schemas/WmsOrderOrder_NumberQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: reference_id
          description: An external unique identifier for the order.
          schema:
            $ref: '#/components/schemas/WmsOrderReference_IdQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: required_ship_date
          description: >-
            The date the order must be shipped by. Same syntax as
            created_date/updated_date.
          schema:
            $ref: '#/components/schemas/WmsOrderRequired_Ship_DateQueryParam'
          required: false
          style: deepObject
          explode: true
        - in: query
          name: tags
          description: Filter orders by their tags
          schema:
            $ref: '#/components/schemas/WmsOrderTagsQueryParam'
          required: false
          style: deepObject
          explode: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WmsOrdersListEndpoint'
          description: Successful response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    WmsOrderIdsQueryParam:
      type: object
      properties:
        in:
          type: array
          description: >-
            A comma-separated list of resource IDs. If provided, all other query
            params are ignored.
          example: resource_id_1,resource_id_2
          items:
            type: string
            description: ''
      required:
        - in
      additionalProperties: false
      title: WmsOrderIdsQueryParam
    WmsOrderCreated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsOrderCreated_DateQueryParam
    WmsOrderUpdated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsOrderUpdated_DateQueryParam
    WmsOrderTrackstar_Created_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsOrderTrackstar_Created_DateQueryParam
    WmsOrderTrackstar_Updated_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2023-03-15T13:45:30Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsOrderTrackstar_Updated_DateQueryParam
    WmsOrderTrackstar_Tags_FlatQueryParam:
      type: object
      properties:
        contains:
          type: array
          description: Comma-separated.
          example: tag_1,tag_2:value_2
          items:
            type: string
            description: ''
        not_contains:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
      additionalProperties: false
      title: WmsOrderTrackstar_Tags_FlatQueryParam
    WmsOrderStatusQueryParam:
      type: object
      properties:
        eq:
          type: string
          enum:
            - open
            - confirmed
            - processing
            - picked
            - packed
            - partially_fulfilled
            - fulfilled
            - exception
            - cancelled
            - backordered
            - other
          description: ''
          example: open
        neq:
          type: string
          enum:
            - open
            - confirmed
            - processing
            - picked
            - packed
            - partially_fulfilled
            - fulfilled
            - exception
            - cancelled
            - backordered
            - other
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            enum:
              - open
              - confirmed
              - processing
              - picked
              - packed
              - partially_fulfilled
              - fulfilled
              - exception
              - cancelled
              - backordered
              - other
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            enum:
              - open
              - confirmed
              - processing
              - picked
              - packed
              - partially_fulfilled
              - fulfilled
              - exception
              - cancelled
              - backordered
              - other
            description: ''
        contains:
          type: string
          description: ''
        not_contains:
          type: string
          description: ''
      additionalProperties: false
      title: WmsOrderStatusQueryParam
    WmsOrderWarehouse_Customer_IdQueryParam:
      type: object
      properties:
        eq:
          type: string
          description: ''
          example: warehouse_cust_id
        neq:
          type: string
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        contains:
          type: string
          description: ''
        not_contains:
          type: string
          description: ''
      additionalProperties: false
      title: WmsOrderWarehouse_Customer_IdQueryParam
    WmsOrderTypeQueryParam:
      type: object
      properties:
        eq:
          type: string
          enum:
            - d2c
            - b2b
            - dropship
            - transfer
          description: ''
          example: d2c
        neq:
          type: string
          enum:
            - d2c
            - b2b
            - dropship
            - transfer
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            enum:
              - d2c
              - b2b
              - dropship
              - transfer
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            enum:
              - d2c
              - b2b
              - dropship
              - transfer
            description: ''
      additionalProperties: false
      title: WmsOrderTypeQueryParam
    WmsOrderOrder_NumberQueryParam:
      type: object
      properties:
        eq:
          type: string
          description: ''
          example: order_num
        neq:
          type: string
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        contains:
          type: string
          description: ''
        not_contains:
          type: string
          description: ''
      additionalProperties: false
      title: WmsOrderOrder_NumberQueryParam
    WmsOrderReference_IdQueryParam:
      type: object
      properties:
        eq:
          type: string
          description: ''
          example: ref_id
        neq:
          type: string
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
        contains:
          type: string
          description: ''
        not_contains:
          type: string
          description: ''
      additionalProperties: false
      title: WmsOrderReference_IdQueryParam
    WmsOrderRequired_Ship_DateQueryParam:
      type: object
      properties:
        eq:
          type: string
          format: date-time
          description: ''
          example: '2021-01-01T12:00:00Z'
        neq:
          type: string
          format: date-time
          description: ''
        in:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        nin:
          type: array
          description: Comma-separated.
          items:
            type: string
            format: date-time
            description: ''
        gt:
          type: string
          format: date-time
          description: ''
        gte:
          type: string
          format: date-time
          description: ''
        lt:
          type: string
          format: date-time
          description: ''
        lte:
          type: string
          format: date-time
          description: ''
      additionalProperties: false
      title: WmsOrderRequired_Ship_DateQueryParam
    WmsOrderTagsQueryParam:
      type: object
      properties:
        contains:
          type: array
          description: Comma-separated.
          example: tag_1,tag2
          items:
            type: string
            description: ''
        not_contains:
          type: array
          description: Comma-separated.
          items:
            type: string
            description: ''
      additionalProperties: false
      title: WmsOrderTagsQueryParam
    WmsOrdersListEndpoint:
      type: object
      properties:
        data:
          type: array
          description: ''
          items:
            $ref: '#/components/schemas/WmsOrderApiItemSchema'
        next_token:
          type:
            - string
            - 'null'
          description: >-
            See [pagination](/how-to-guides/about-the-api#pagination) for more
            details.
          example: next_token
        total_count:
          type: integer
          description: The number of items returned.
          example: 1
      required:
        - data
        - next_token
        - total_count
      additionalProperties: false
      title: WmsOrdersListEndpoint
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    WmsOrderApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the order.
          example: order_id
        warehouse_customer_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the merchant/tenant/customer that owns the order. Can be
            passed into the [Warehouse
            Customer](/api-reference/wms-api/warehouse-customers/get-item)
            endpoint for more details.
          example: warehouse_customer_id
        warehouse_id:
          type:
            - string
            - 'null'
          description: >-
            If set at the order level, the expected warehouse the order will be
            shipped from. At the shipment level, the warehouse the shipment was
            shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
          example: warehouse_id
        created_date:
          type: string
          format: date-time
          description: The date the order was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the order was last updated.
          example: '2022-01-02T05:05:05Z'
        reference_id:
          type: string
          description: >-
            An external unique identifier for the order, such as a Shopify order
            id. Defaults to `id` if client has not defined one.
          example: order_reference_id
        order_number:
          type: string
          description: >-
            A user-friendly identifier for their order. Defaults to
            `reference_id` if not provided.
          example: order_number
        status:
          type: string
          enum:
            - open
            - confirmed
            - processing
            - picked
            - packed
            - partially_fulfilled
            - fulfilled
            - exception
            - cancelled
            - backordered
            - other
          description: >-
            The status of the order. See the [order information](info) for more
            details.
          example: open
        raw_status:
          type:
            - string
            - 'null'
          description: The raw status (if available) returned directly from the WMS.
          example: raw_status
        channel_object:
          anyOf:
            - $ref: '#/components/schemas/OrderChannel'
            - type: 'null'
        type:
          type:
            - string
            - 'null'
          enum:
            - d2c
            - b2b
            - dropship
            - transfer
          description: The type of order, such as d2c, b2b, dropship, or transfer.
          example: d2c
        trading_partner:
          type:
            - string
            - 'null'
          description: >-
            For retail/EDI orders, the trading partner who placed the order
            (e.g. Target, Walmart).
          example: Target
        service_level:
          type:
            - string
            - 'null'
          description: The type of shipping method requested by the customer.
          example: Standard
        shipping_method_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the actual shipping method used to ship the order. Can be
            passed into the [Shipping
            Method](/api-reference/wms-api/shipping-methods/get-item) endpoint
            for more details.. May vary from the shipping methods returned at
            the package level.
          example: fedex_ground
        shipping_method_name:
          type:
            - string
            - 'null'
          description: The name of the shipping method used to ship the order.
          example: FedEx Ground
        carrier_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the carrier used to ship the order to the customer. May
            vary from the carriers returned at the package level.
          example: fedex
        carrier_name:
          type:
            - string
            - 'null'
          description: >-
            The name of the carrier used to ship the order to the customer. If
            carrier_id is also provided, that will take precedence. May vary
            from the carriers returned at the package level.
          example: FedEx
        scac:
          type:
            - string
            - 'null'
          description: >-
            The Standard Carrier Alpha Code for the carrier used to ship the
            order.
        is_third_party_freight:
          type:
            - boolean
            - 'null'
          description: True if the order was shipped using a third party freight account.
          example: false
        third_party_freight_account_number:
          type:
            - string
            - 'null'
          description: The third party freight account number used to ship the order.
          example: '123456'
        first_party_freight_account_number:
          type:
            - string
            - 'null'
          description: The first party freight account number used to ship the order.
          example: '123456'
        invoice_currency_code:
          type: string
          description: >-
            The currency used for this order. If not provided explicitly,
            defaults to USD.
          example: USD
        total_price:
          type:
            - number
            - 'null'
          description: The total price a customer paid for the order.
          example: 13.49
        total_tax:
          type:
            - number
            - 'null'
          description: The total tax on the order.
          example: 1.5
        total_discount:
          type:
            - number
            - 'null'
          description: The total amount discounted from the order.
          example: 2.5
        total_shipping:
          type:
            - number
            - 'null'
          description: The total shipping cost for the order incurred by the customer.
          example: 3.5
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddress'
        line_items:
          type: array
          description: List of the products included in the order.
          example:
            - product_id: product_id
              sku: sku
              quantity: 1
              unit_price: 10.99
              discount_amount: 1.5
          items:
            $ref: '#/components/schemas/WmsOrderLineItem'
        tags:
          type: array
          description: >-
            A list of tags associated with the order. Tags that are represented
            as key-value pairs in the WMS will be represented as a single string
            formatted as `key:value`.
          example:
            - tag_0
          items:
            type: string
            description: A tag associated with the order.
            example: tag_0
        required_ship_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the order must be shipped by.
          example: '2021-01-01T12:00:00Z'
        saturday_delivery:
          type:
            - boolean
            - 'null'
          description: True if the order requires Saturday delivery.
          example: false
        signature_required:
          type:
            - boolean
            - 'null'
          description: True if the order requires a signature upon delivery.
          example: false
        international_duty_paid_by:
          type:
            - string
            - 'null'
          enum:
            - sender
            - recipient
            - third_party
          description: The party responsible for paying international duties.
          example: sender
        shipments:
          type: array
          description: List of the shipments sent out to the customer.
          example:
            - shipment_id: shipment_id
              warehouse_id: wh_id
              shipped_date: '2022-05-06T01:02:03Z'
              raw_status: raw_status
              status: shipped
              line_items:
                - inventory_item_id: item_id
                  sku: sku
                  quantity: 1
                  parent_product_id: null
              ship_to_address:
                full_name: John Doe
                company: company
                address1: address1
                address2: address2
                address3: address3
                city: city
                state: state
                postal_code: postal_code
                country: country
              ship_from_address:
                address1: address1
                address2: address2
                address3: address3
                city: city
                state: state
                postal_code: postal_code
                country: country
              packages:
                - package_id: package_id
                  package_name: package_name
                  tracking_number: tracking_number
                  tracking_url: tracking_url
                  shipping_method_id: shipping_method_id
                  shipping_method_name: shipping_method_name
                  carrier_id: carrier_id
                  carrier_name: carrier_name
                  scac: scac
                  shipping_cost: 1
                  measurements:
                    length: 1
                    width: 1
                    height: 1
                    unit: in
                    weight: 1
                    weight_unit: lb
                  line_items:
                    - inventory_item_id: item_id
                      sku: sku
                      quantity: 1
                      lot_id: lot_id
                      expiration_date: '2022-06-06T01:02:03Z'
                      parent_product_id: null
          items:
            $ref: '#/components/schemas/OrderShipment'
        external_system_url:
          type:
            - string
            - 'null'
          description: URL link to the order in the external system (WMS/Freight etc).
          example: https://example.com/order/123
        trackstar_tags:
          type:
            - array
            - 'null'
          description: >-
            A list of custom tags associated with the resource. A tag can be
            either a string or a dictionary with one key-value pair.
          example:
            - tag1
            - tag2
            - tag3: value3
          items: {}
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - additional_fields
        - carrier_id
        - carrier_name
        - channel_object
        - created_date
        - external_system_url
        - first_party_freight_account_number
        - id
        - international_duty_paid_by
        - invoice_currency_code
        - is_third_party_freight
        - line_items
        - order_number
        - raw_status
        - reference_id
        - required_ship_date
        - saturday_delivery
        - scac
        - service_level
        - ship_to_address
        - shipments
        - shipping_method_id
        - shipping_method_name
        - signature_required
        - status
        - tags
        - third_party_freight_account_number
        - total_discount
        - total_price
        - total_shipping
        - total_tax
        - trackstar_created_date
        - trackstar_tags
        - trackstar_updated_date
        - trading_partner
        - type
        - updated_date
        - warehouse_customer_id
        - warehouse_id
      additionalProperties: false
      title: WmsOrderApiItemSchema
    OrderChannel:
      type: object
      properties:
        channel_id:
          type: string
          description: The ID of the channel.
          example: channel_id
        channel_name:
          type:
            - string
            - 'null'
          description: The name of the channel.
          example: channel_name
      required:
        - channel_id
        - channel_name
      additionalProperties: false
      title: OrderChannel
    ShipToAddress:
      type: object
      properties:
        full_name:
          type:
            - string
            - 'null'
          description: ''
          example: John Doe
        company:
          type:
            - string
            - 'null'
          description: ''
          example: Company
        address1:
          type:
            - string
            - 'null'
          description: ''
          example: 123 Main St
        address2:
          type:
            - string
            - 'null'
          description: ''
          example: Apt 2
        address3:
          type:
            - string
            - 'null'
          description: ''
          example: Floor 3
        city:
          type:
            - string
            - 'null'
          description: ''
          example: New York
        state:
          type:
            - string
            - 'null'
          description: ''
          example: NY
        postal_code:
          type:
            - string
            - 'null'
          description: ''
          example: '10001'
        country:
          type:
            - string
            - 'null'
          description: ''
          example: United States
        phone_number:
          type:
            - string
            - 'null'
          description: ''
          example: 123-456-7890
        email_address:
          type:
            - string
            - 'null'
          description: ''
          example: johndoe@example.com
      required:
        - address1
        - address2
        - address3
        - city
        - company
        - country
        - email_address
        - full_name
        - phone_number
        - postal_code
        - state
      additionalProperties: false
      title: ShipToAddress
    WmsOrderLineItem:
      type: object
      properties:
        product_id:
          type: string
          description: >-
            Can be passed into the
            [Product](/api-reference/wms-api/products/get-item) endpoint for
            more details.
          example: product_id
        sku:
          type:
            - string
            - 'null'
          description: ''
          example: sku
        quantity:
          type: integer
          description: ''
          example: 1
        unit_price:
          type:
            - number
            - 'null'
          description: >-
            The price of the product in the currency specified by
            `invoice_currency_code`.
          example: 10.99
        discount_amount:
          type:
            - number
            - 'null'
          description: The amount discounted from the product for this order.
          example: 1.5
      required:
        - discount_amount
        - product_id
        - quantity
        - sku
        - unit_price
      additionalProperties: false
      title: WmsOrderLineItem
    OrderShipment:
      type: object
      properties:
        shipment_id:
          type: string
          description: The ID of the shipment.
        warehouse_id:
          type: string
          description: >-
            The warehouse this order was shipped from. Can be passed into the
            [Warehouse](/api-reference/wms-api/warehouses/get-item) endpoint for
            more details.
        raw_status:
          type:
            - string
            - 'null'
          description: >-
            The raw status (if available) of the shipment returned directly from
            the WMS.
          example: raw_status
        status:
          type: string
          enum:
            - open
            - shipped
            - cancelled
            - other
          description: The status of the shipment.
          example: shipped
        shipped_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The date the shipment was sent.
          example: '2022-05-06T01:02:03Z'
        line_items:
          type: array
          description: List of the inventory items listed in the shipment.
          items:
            $ref: '#/components/schemas/ShipmentLineItem'
        ship_to_address:
          $ref: '#/components/schemas/ShipToAddress'
        ship_from_address:
          $ref: '#/components/schemas/ShipFromAddress'
        packages:
          type: array
          description: A list of the packages included in the shipment.
          items:
            $ref: '#/components/schemas/Package'
      required:
        - line_items
        - packages
        - raw_status
        - ship_from_address
        - ship_to_address
        - shipment_id
        - shipped_date
        - status
        - warehouse_id
      additionalProperties: false
      title: OrderShipment
    ShipmentLineItem:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: >-
            The ID of the inventory item. Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
        sku:
          type:
            - string
            - 'null'
          description: ''
        quantity:
          type: integer
          description: ''
          example: 0
        parent_product_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the parent product if the line item is part of a kit. Can
            be passed into the
            [Product](/api-reference/wms-api/products/get-item) endpoint for
            more details.
      required:
        - inventory_item_id
        - parent_product_id
        - quantity
        - sku
      additionalProperties: false
      title: ShipmentLineItem
    ShipFromAddress:
      type: object
      properties:
        address1:
          type:
            - string
            - 'null'
          description: ''
          example: 123 Main St
        address2:
          type:
            - string
            - 'null'
          description: ''
          example: Apt 2
        address3:
          type:
            - string
            - 'null'
          description: ''
          example: Floor 3
        city:
          type:
            - string
            - 'null'
          description: ''
          example: New York
        state:
          type:
            - string
            - 'null'
          description: ''
          example: NY
        postal_code:
          type:
            - string
            - 'null'
          description: ''
          example: '10001'
        country:
          type:
            - string
            - 'null'
          description: ''
          example: United States
      required:
        - address1
        - address2
        - address3
        - city
        - country
        - postal_code
        - state
      additionalProperties: false
      title: ShipFromAddress
    Package:
      type: object
      properties:
        package_id:
          type: string
          description: The ID of the package.
        package_name:
          type:
            - string
            - 'null'
          description: The name of the package. (e.g. 12x9x4)
        tracking_number:
          type:
            - string
            - 'null'
          description: The tracking number for the package.
        tracking_url:
          type:
            - string
            - 'null'
          description: The URL for the tracking number.
        shipping_method_id:
          type:
            - string
            - 'null'
          description: The ID of the shipping method returned at the package level.
          example: shipping_method_id
        shipping_method_name:
          type:
            - string
            - 'null'
          description: The name of the shipping method returned at the package level.
          example: Standard Shipping
        carrier_id:
          type:
            - string
            - 'null'
          description: The ID of the carrier used to ship the package.
          example: carrier_id
        carrier_name:
          type:
            - string
            - 'null'
          description: The name of the carrier used to ship the package.
          example: carrier_name
        scac:
          type:
            - string
            - 'null'
          description: >-
            The Standard Carrier Alpha Code for the carrier used to ship the
            package.
        shipping_cost:
          type:
            - number
            - 'null'
          description: The cost incurred by the warehouse to ship the package.
          example: 2.5
        measurements:
          $ref: '#/components/schemas/PackageMeasurements'
        line_items:
          type: array
          description: A list of the inventory items included in the package.
          items:
            $ref: '#/components/schemas/PackageLineItem'
      required:
        - carrier_id
        - carrier_name
        - line_items
        - measurements
        - package_id
        - package_name
        - scac
        - shipping_cost
        - shipping_method_id
        - shipping_method_name
        - tracking_number
        - tracking_url
      additionalProperties: false
      title: Package
    PackageMeasurements:
      type: object
      properties:
        length:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        width:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        height:
          type:
            - number
            - 'null'
          description: ''
          example: 1.5
        unit:
          type:
            - string
            - 'null'
          enum:
            - cm
            - in
          description: The unit of measurement for the size of the package.
          example: in
        weight:
          type:
            - number
            - 'null'
          description: ''
          example: 2.5
        weight_unit:
          type:
            - string
            - 'null'
          enum:
            - kg
            - oz
            - lb
          description: The unit of measurement for the weight of the package.
          example: lb
      required:
        - height
        - length
        - unit
        - weight
        - weight_unit
        - width
      additionalProperties: false
      title: PackageMeasurements
    PackageLineItem:
      type: object
      properties:
        inventory_item_id:
          type: string
          description: >-
            The ID of the inventory item. Can be passed into the
            [Inventory](/api-reference/wms-api/inventory/get-item) endpoint for
            more details.
        sku:
          type:
            - string
            - 'null'
          description: ''
        quantity:
          type: integer
          description: ''
          example: 0
        lot_id:
          type:
            - string
            - 'null'
          description: The ID of the lot the inventory item was picked from.
        expiration_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The expiration date of the lot the inventory item was picked from.
        parent_product_id:
          type:
            - string
            - 'null'
          description: >-
            The ID of the parent product if the line item is part of a kit. Can
            be passed into the
            [Product](/api-reference/wms-api/products/get-item) endpoint for
            more details.
      required:
        - expiration_date
        - inventory_item_id
        - lot_id
        - parent_product_id
        - quantity
        - sku
      additionalProperties: false
      title: PackageLineItem

````